package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Umd;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;


@Mapper
public interface UmdMapper {

    int insert(Umd record);

    int insertSelective(Umd record);

    int updateByPrimaryKeySelective(Umd record);

    int updateByPrimaryKey(Umd record);

    int deleteByPrimaryKey(Umd record);

    int deleteByIds(Collection<Object> collection);

    Umd selectByPrimaryKey(Umd record);

    Umd selectByMac(@Param("mac") String mac, @Param("ownref") String ownref);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Umd> dyncRead(Map<String, Object> dyncMap);

    List<Umd> selectUmdByOwnref(@Param("ownref") String ownref,@Param("inifrm") String inifrm );

    List<Umd> selectBySptToday(Umd umd);

    List<Umd> selectBySptInr(String sptinr);

}